set(ARMADILLO_LOCAL_PATH ${CMAKE_CURRENT_LIST_DIR}/external_dependencies/armadillo)

include(FetchContent)

######################
# Download Armadillo #
######################
FetchContent_Declare(
    armadillo
    SOURCE_DIR ${ARMADILLO_LOCAL_PATH}
    GIT_REPOSITORY https://gitlab.com/conradsnicta/armadillo-code.git
    GIT_TAG 9.300.x  #TODO do some general solution!
)

set(FETCHCONTENT_QUIET FALSE)

FetchContent_Populate(armadillo)

find_package(Armadillo)

if(NOT ARMADILLO_FOUND)
    message(FATAL_ERROR "Armadillo was not downloaded successfully!")
endif()

