message("DownloadTurtle starting...")

set(TURTLE_LOCAL_PATH ${CMAKE_CURRENT_LIST_DIR}/external_dependencies/turtle)

include(FetchContent)

###################
# Download exprtk #
###################
FetchContent_Declare(
    turtle
    SOURCE_DIR ${TURTLE_LOCAL_PATH}
    GIT_REPOSITORY https://github.com/mat007/turtle.git
)

set(FETCHCONTENT_QUIET FALSE)

FetchContent_Populate(turtle)

find_package(Turtle)

if(NOT TURTLE_FOUND)
    message(FATAL_ERROR "Turtle was not downloaded successfully!")
endif()

